summaryrefslogtreecommitdiffstats
path: root/desktop/thunar-volman
diff options
context:
space:
mode:
author Robby Workman <rw@rlworkman.net>2010-05-11 20:00:11 +0200
committer Michiel van Wessem <michiel@slackbuilds.org>2010-05-11 20:00:11 +0200
commit0a9b4a2e2134c36898eb0d743e83122d88e67894 (patch)
tree70a0c93cb37a5ff7046ebb5785cdcc4a67792623 /desktop/thunar-volman
parent278ae6e65a69e4a0b985cd723cf8f03a37281bbb (diff)
downloadslackbuilds-0a9b4a2e2134c36898eb0d743e83122d88e67894.tar.gz
slackbuilds-0a9b4a2e2134c36898eb0d743e83122d88e67894.tar.xz
desktop/thunar-volman: Added to 12.0 repository
Diffstat (limited to 'desktop/thunar-volman')
-rw-r--r--desktop/thunar-volman/README10
-rw-r--r--desktop/thunar-volman/slack-desc19
-rw-r--r--desktop/thunar-volman/thunar-volman.SlackBuild80
-rw-r--r--desktop/thunar-volman/thunar-volman.info8
4 files changed, 117 insertions, 0 deletions
diff --git a/desktop/thunar-volman/README b/desktop/thunar-volman/README
new file mode 100644
index 0000000000..1e4edd3edb
--- /dev/null
+++ b/desktop/thunar-volman/README
@@ -0,0 +1,10 @@
+thunar-volman is an extension for the Thunar File Manager which enables
+automatic management of removable drives and media. For example, if
+thunar-volman is installed and configured properly, and you plug in your
+digital camera, it will automatically spawn your preferred photo application
+and import the new pictures from your camera.
+
+It was designed to look and behave similar to gnome-volume-manager to get
+consistent removable drive and media management in Xfce and GNOME. This is
+to help GNOME refugees and people using both Xfce and GNOME (i.e. having to
+use GNOME at the office).
diff --git a/desktop/thunar-volman/slack-desc b/desktop/thunar-volman/slack-desc
new file mode 100644
index 0000000000..41eb38860b
--- /dev/null
+++ b/desktop/thunar-volman/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------------|
+thunar-volman: thunar-volman (Thunar Volume Manager Plugin)
+thunar-volman:
+thunar-volman: thunar-volman is an extension for the Thunar File Manager,
+thunar-volman: which enables automatic management of removable drives and
+thunar-volman: media.
+thunar-volman:
+thunar-volman: It was designed to look and act similar to gnome-volume-manager
+thunar-volman: to get consistent removable drive and media management in both
+thunar-volman: Xfce and GNOME.
+thunar-volman:
+thunar-volman:
diff --git a/desktop/thunar-volman/thunar-volman.SlackBuild b/desktop/thunar-volman/thunar-volman.SlackBuild
new file mode 100644
index 0000000000..40848d60e4
--- /dev/null
+++ b/desktop/thunar-volman/thunar-volman.SlackBuild
@@ -0,0 +1,80 @@
+#!/bin/sh
+
+# Slackware build script for thunar-volman
+
+# Copyright 2007 Robby Workman (http://rlworkman.net)
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR ''AS IS'' AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=thunar-volman
+VERSION=0.2.0
+ARCH=${ARCH:-i486}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.bz2
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+./configure \
+ --prefix=/usr \
+ --enable-debug=no
+
+make
+make install DESTDIR=$PKG
+
+( cd $PKG
+ find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+ find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+)
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a AUTHORS COPYING ChangeLog INSTALL NEWS README THANKS \
+ $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.tgz
diff --git a/desktop/thunar-volman/thunar-volman.info b/desktop/thunar-volman/thunar-volman.info
new file mode 100644
index 0000000000..188b7cf68b
--- /dev/null
+++ b/desktop/thunar-volman/thunar-volman.info
@@ -0,0 +1,8 @@
+PRGNAM="thunar-volman"
+VERSION="0.2.0"
+HOMEPAGE="http://foo-projects.org/~benny/projects/thunar-volman/index.html"
+DOWNLOAD="http://download.berlios.de/xfce-goodies/thunar-volman-0.2.0.tar.bz2"
+MD5SUM="e4587967fe3b3858d93735fee3edb2fc"
+MAINTAINER="Robby Workman"
+EMAIL="rw@rlworkman.net"
+APPROVED="BP{k}"